from enum import Enum
from fastapi import APIRouter, Depends

from backend.core.dependencies import get_auth_user


class PrivateAPIRouter(APIRouter):
  def __init__(self, tags: list[str | Enum] | None = None, prefix: str = "", **kwargs):
    super().__init__(tags=tags, prefix=prefix, dependencies=[Depends(get_auth_user)], **kwargs)
